# Exports

Exports let you asynchronously export almost all the Core API resources from your organization's environment. At the moment, two types of `format` are available when exporting resources: **JSON** (default) and **CSV**.

Exports can be managed via API or using the related back-office app in the *Apps* section of the admin dashboard.

For each resource, you can specify the relationships you want to add to the export (among the supported ones) as `includes` (this way, the included resource will be included in the export with all its attributes). Alternatively, you can specify which fields of the main (and related) resource you want to export by using the `fields` array — this will reduce the export size and result in a more clean and efficiently exported dataset. You can also apply some `filters` to fine-tune the exported data, and decide to skip redundant attributes excluding them from your export by setting the `dry_data` attribute to `true` (default is `false`).

{% hint style="info" %}
Except for some particular cases, exported outputs can be used as `inputs` for the [imports API](/core-api-reference/imports.md).
{% endhint %}

As soon as an export is created you can check the number of items that are going to be exported by inspecting the `records_count` attribute. You can poll the `status`, `estimated_completion_at`, `processed_count`, and `progress` attributes to check the export progress until it's completed. Then, you can download the exported data using the link exposed in the `attachment_url` attribute.

{% hint style="info" %}
Exports can be interrupted and restarted via trigger attribute (`_interrupt`, `_start`).
{% endhint %}

<details>

<summary>How-to</summary>

Check the related [guide](/core/exporting-resources.md) for any further information about the export process (e.g. export limits, supported associations, filters, errors, and examples).

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
